aboutsummaryrefslogtreecommitdiff
path: root/python/pyarmnn/init_devenv.sh
diff options
context:
space:
mode:
authorRichard Burton <richard.burton@arm.com>2020-04-08 16:39:05 +0100
committerJim Flynn <jim.flynn@arm.com>2020-04-10 16:11:09 +0000
commitdc0c6ed9f8b993e63f492f203d7d7080ab4c835c (patch)
treeea8541990b13ebf1a038009aa6b8b4b1ea8c3f55 /python/pyarmnn/init_devenv.sh
parentfe5a24beeef6e9a41366e694f41093565e748048 (diff)
downloadarmnn-dc0c6ed9f8b993e63f492f203d7d7080ab4c835c.tar.gz
Add PyArmNN to work with ArmNN API of 20.02
* Add Swig rules for generating python wrapper * Add documentation * Add tests and testing data Change-Id: If48eda08931514fa21e72214dfead2835f07237c Signed-off-by: Richard Burton <richard.burton@arm.com> Signed-off-by: Derek Lamberti <derek.lamberti@arm.com>
Diffstat (limited to 'python/pyarmnn/init_devenv.sh')
-rwxr-xr-xpython/pyarmnn/init_devenv.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/python/pyarmnn/init_devenv.sh b/python/pyarmnn/init_devenv.sh
new file mode 100755
index 0000000000..e7654a491a
--- /dev/null
+++ b/python/pyarmnn/init_devenv.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+set -e
+
+JENKINS_BUILD=0
+while getopts ":j" opt; do
+ case "$opt" in
+ j) JENKINS_BUILD=1 ;;
+ esac
+done
+
+python3.6 -m venv toxenv
+source toxenv/bin/activate
+pip install virtualenv==16.3.0 tox
+
+export ARMNN_INCLUDE=$(pwd)/../../include
+python ./swig_generate.py
+
+tox -e devenv
+# If jenkins build, also run unit tests, generate docs, etc
+if [ $JENKINS_BUILD == 1 ]; then
+ tox
+ tox -e doc
+fi
+
+deactivate
+rm -rf toxenv
+
+source env/bin/activate